use utf8;
{

key => {
	'b' =>   "step left down\nnumpad 1",
	'j' =>        "step down\nnumpad 2",
	'n' =>  "step right down\nnumpad 3",
	'h' =>        "step left\nnumpad 4",
	'l' =>       "step right\nnumpad 6",
	'y' =>     "step left up\nnumpad 7",
	'k' =>          "step up\nnumpad 8",
	'u' =>    "step right up\nnumpad 9",

	'B' =>     "go left down\nshift numpad 1",
	'J' =>          "go down\nshift numpad 2",
	'N' =>    "go right down\nshift numpad 3",
	'H' =>          "go left\nshift numpad 4",
	'L' =>         "go right\nshift numpad 6",
	'Y' =>       "go left up\nshift numpad 7",
	'K' =>            "go up\nshift numpad 8",
	'U' =>      "go right up\nshift numpad 9",

	'^b'=>    "run left down\nnumpad 5 1",
	'^j'=>         "run down\nnumpad 5 2",
	'^n'=>   "run right down\nnumpad 5 3",
	'^h'=>         "run left\nnumpad 5 4",
	'^l'=>        "run right\nnumpad 5 6",
	'^y'=>      "run left up\nnumpad 5 7",
	'^k'=>           "run up\nnumpad 5 8",
	'^u'=>     "run right up\nnumpad 5 9",

	'g' => "run until interest",
	'm' => "m<>ove blind\nno pickup",
	'G' => "g any<>where\nfollow branches",

	'?' => "help menu",
	'+?'=> "more help",
	'/' => "explain symbol",
	'&' => "tell com<>m<>and",
	'<' => "climb up ladder",
	'>' => "desc<>ent ladder",
	'.' => "rest (noop)",
	'_' => "travel to",

	'+2'=> "two<>weapon toggle",
	'a' => "apply tool",
	'A' => "remove all armor",
	'^a'=> "redo comm<>and\nAgain",
	'+a'=> "adjust inv<>ent<>ory",
	'c' => "close door",
	'C' => "call monster",
	'+c'=> "chat",
	'd' => "drop item",
	'D' => "drop items",
	'^d'=> "kick",
	'+d'=> "dip",
	'e' => "eat food",
	'E' => "en<>grave",
	'+e'=> "weapon skills\nEnhance",
	'f' => "fire quiver",
	'F' => "fight monster",
	'+f'=> "force lock",
	'i' => "invent<>ory",
	'I' => "invent<>ory part",
	'+i'=> "invoke object",
	'+j'=> "jump",
	'+l'=> "loot",
	'+m'=> "mons<>ter abil<>ity",
	'+n'=> "name item<>(s)",
	'o' => "open door",
	'O' => "options",
	'+o'=> "offer sacrifice",
	'p' => "pay bill",
	'P' => "put on",
	'^p'=> "repeat message",
	'+p'=> "pray",
	'q' => "drink\nQuaff",
	'Q' => "quiver ammo",
	'+q'=> "exit game\nQuit",
	'r' => "read scroll",
	'R' => "put off\nRemove accessory",
	'^r'=> "redraw",
	'+r'=> "rub object",
	's' => "search secrets",
	'S' => "save game",
	'+s'=> "sit down",
	't' => "throw<>/shoot",
	'T' => "remove armor",
	'^t'=> "teleport",
	'+t'=> "turn undead",
	'+u'=> "untrap",
	'v' => "version",
	'V' => "verbose version",
	'+v'=> "compile details",
	'w' => "wield weap<>on",
	'W' => "wear armor",
	'+w'=> "wipe face",
	'x' => "swap weapons\nXchange",
	'X' => "explore mode",
	'^x'=> "show stats",
	'z' => "zap wand",
	'Z' => "cast spell",
	'^z'=> "suspend game",

	':' => "look here",
	';' => "look else<>where",
	',' => "pick up",
	'@' => "toggle pick<>up",
	'^' => "show trap",
	')' => "show weapon",
	'[' => "show armor",
	'=' => "show rings",
	'"' => "show amulet",
	'(' => "show tools",
	'*' => "show equip<>ment",
	'$' => "count gold",
	'+' => "list spells",
	'\\'=> "discover<>ed obj<>ects",
	'!' => "shell escape",
	'#' => "more comm<>ands",

	'DB' => 'drop blessed',
	'DU' => 'drop uncursed',
	'DC' => 'drop cursed',
	'DX' => 'drop unknown',
	'Da' => 'drop all',
	'Di' => "invent<>ory",
	'Du' => 'drop unpaid',
	'Dm' => 'drop any',
	'D%' => 'drop more',

	'I*' => 'list gems',
	'Iu' => 'list unpaid',
	'Ix' => 'list billed',
	'I$' => 'count money',
},

mode => {
	'' => 'normal gameplay',
},

flag => {
	pm => [direction => "Direction to move to or target a command (<motion>)."],
	po => [move      => "Other character movement."],
	co => [act       => "Direct action command: takes a turn."],
	mi => [info      => "Informational command: shows/does something without ending the turn."],
	mo => [invertory => "Display invertory menu."],
	mv => [menu      => "Enters some other menu."],

	arg  => ["key<arg>"  => "Commands with a dot need at least one argument afterwards."],
	argi => ["key<argi>" => "Asks for an inventory item."],
	argm => ["key<argm>" => "Requires a direction afterwards."],
},

}
